Attribute VB_Name = "mHColors"

'Created by SCINER: lenar2003@mail.ru
'DATETIMESTAMP: 13:06 13/01/2005

'   
'HTML-    LONG

Option Explicit

'  
Function HTMLColor2Long(ByVal clr As String, ByVal Default As Long) As Long
  
  Dim i As Long
  Dim B() As Byte

  If IsNumeric("&H" & VBA.Right$(clr, 6)) Then
    clr = VBA.Right$(clr, 6)
    B = StrConv(clr, vbFromUnicode)
    HTMLColor2Long = RGB(Val("&H" & Mid$(clr, 1, 2)), _
                         Val("&H" & Mid$(clr, 3, 2)), _
                         Val("&H" & Mid$(clr, 5, 2)))
  Else
    HTMLColor2Long = ColorByID(clr, Default)
  End If

  End Function

'  
Function ColorByID(ByVal ID As String, ByVal Default As Long) As Long
  Dim C As Long
  ID = VBA.LCase$(ID)
  C = Default
  Select Case ID
    Case "alicemblue": C = RGB(&HF0, &HF8, &HFF)
    Case "antiquewhite": C = RGB(&HFA, &HEB, &HD7)
    Case "aqua": C = RGB(&H0, &HFF, &HFF)
    Case "aquamarine": C = RGB(&H7F, &HFF, &HD4)
    Case "azure": C = RGB(&HF0, &HFF, &HFF)
    Case "beige": C = RGB(&HF5, &HF5, &HDC)
    Case "bisque": C = RGB(&HFF, &HE4, &HC4)
    Case "black": C = RGB(&H0, &H0, &H0)
    Case "blanchedalmond": C = RGB(&HFF, &HEB, &HCD)
    Case "blue": C = RGB(&H0, &H0, &HFF)
    Case "blueviolet": C = RGB(&H8A, &H2B, &HE2)
    Case "brown": C = RGB(&HA5, &H2A, &H2A)
    Case "burlywood": C = RGB(&HDE, &HB8, &H87)
    Case "cadetblue": C = RGB(&H5F, &H9E, &HA0)
    Case "chartreuse": C = RGB(&H7F, &HFF, &H0)
    Case "chocolate": C = RGB(&HD2, &H69, &H1E)
    Case "coral": C = RGB(&HFF, &H7F, &H50)
    Case "cornflowerblue": C = RGB(&H64, &H95, &HED)
    Case "cornsilk": C = RGB(&HFF, &HF8, &HDC)
    Case "crimson": C = RGB(&HDC, &H14, &H3C)
    Case "cyan": C = RGB(&H0, &HFF, &HFF)
    Case "darkblue": C = RGB(&H0, &H0, &H8B)
    Case "darkcyan": C = RGB(&H0, &H8B, &H8B)
    Case "darkgoldenrod": C = RGB(&HB8, &H86, &HB)
    Case "darkgray": C = RGB(&HA9, &HA9, &HA9)
    Case "darkgreen": C = RGB(&H0, &H64, &H0)
    Case "darkkhaki": C = RGB(&HBD, &HB7, &H6B)
    Case "darkmagenta": C = RGB(&H8B, &H0, &H8B)
    Case "darkolivegreen": C = RGB(&H55, &H6B, &H2F)
    Case "darkorange": C = RGB(&HFF, &H8C, &H0)
    Case "darkochid": C = RGB(&H99, &H32, &HCC)
    Case "darkred": C = RGB(&H8B, &H0, &H0)
    Case "darksalmon": C = RGB(&HE9, &H96, &H7A)
    Case "darkseagreen": C = RGB(&H8F, &HBC, &H8F)
    Case "darkslateblue": C = RGB(&H48, &H3D, &H8B)
    Case "darkslategray": C = RGB(&H2F, &H4F, &H4F)
    Case "darkturquoise": C = RGB(&H0, &HCE, &HD1)
    Case "darkviolet": C = RGB(&H94, &H0, &HD3)
    Case "deeppink": C = RGB(&HFF, &H14, &H93)
    Case "deepskyblue": C = RGB(&H0, &HBF, &HFF)
    Case "dimgray": C = RGB(&H69, &H69, &H69)
    Case "dodgerblue": C = RGB(&H1E, &H90, &HFF)
    Case "firebrick": C = RGB(&HB2, &H22, &H22)
    Case "floralwhite": C = RGB(&HFF, &HFA, &HF0)
    Case "forestgreen": C = RGB(&H22, &H8B, &H22)
    Case "fushsia": C = RGB(&HFF, &H0, &HFF)
    Case "gainsboro": C = RGB(&HDC, &HDC, &HDC)
    Case "ghostwhite": C = RGB(&HF8, &HF8, &HFF)
    Case "gold": C = RGB(&HFF, &HD7, &H0)
    Case "goldenrod": C = RGB(&HDA, &HA5, &H20)
    Case "gray": C = RGB(&H80, &H80, &H80)
    Case "green": C = RGB(&H0, &H80, &H0)
    Case "greenyellow": C = RGB(&HAD, &HFF, &H2F)
    Case "honeydew": C = RGB(&HF0, &HFF, &HF0)
    Case "hotpink": C = RGB(&HFF, &H69, &HB4)
    Case "indiandred": C = RGB(&HCD, &H5C, &H5C)
    Case "indigo": C = RGB(&H4B, &H0, &H82)
    Case "ivory": C = RGB(&HFF, &HFF, &HF0)
    Case "khaki": C = RGB(&HF0, &HE6, &H8C)
    Case "lavender": C = RGB(&HE6, &HE6, &HFA)
    Case "lavenderblush": C = RGB(&HFF, &HF0, &HF5)
    Case "lawngreen": C = RGB(&H7C, &HFC, &H0)
    Case "lemonchiffon": C = RGB(&HFF, &HFA, &HCD)
    Case "ligtblue": C = RGB(&HAD, &HD8, &HE6)
    Case "lightcoral": C = RGB(&HF0, &H80, &H80)
    Case "lightcyan": C = RGB(&HE0, &HFF, &HFF)
    Case "lightgoldenrodyellow": C = RGB(&HFA, &HFA, &HD2)
    Case "lightgreen": C = RGB(&H90, &HEE, &H90)
    Case "lightgrey": C = RGB(&HD3, &HD3, &HD3)
    Case "lightpink": C = RGB(&HFF, &HB6, &HC1)
    Case "lightsalmon": C = RGB(&HFF, &HA0, &H7A)
    Case "lightseagreen": C = RGB(&H20, &HB2, &HAA)
    Case "lightscyblue": C = RGB(&H87, &HCE, &HFA)
    Case "lightslategray": C = RGB(&H77, &H88, &H99)
    Case "lightsteelblue": C = RGB(&HB0, &HC4, &HDE)
    Case "lightyellow": C = RGB(&HFF, &HFF, &HE0)
    Case "lime": C = RGB(&H0, &HFF, &H0)
    Case "limegreen": C = RGB(&H32, &HCD, &H32)
    Case "linen": C = RGB(&HFA, &HF0, &HE6)
    Case "magenta": C = RGB(&HFF, &H0, &HFF)
    Case "maroon": C = RGB(&H80, &H0, &H0)
    Case "mediumaquamarine": C = RGB(&H66, &HCD, &HAA)
    Case "mediumblue": C = RGB(&H0, &H0, &HCD)
    Case "mediumorchid": C = RGB(&HBA, &H55, &HD3)
    Case "mediumpurple": C = RGB(&H93, &H70, &HDB)
    Case "mediumseagreen": C = RGB(&H3C, &HB3, &H71)
    Case "mediumslateblue": C = RGB(&H7B, &H68, &HEE)
    Case "mediumspringgreen": C = RGB(&H0, &HFA, &H9A)
    Case "mediumturquoise": C = RGB(&H48, &HD1, &HCC)
    Case "medium,&Hvioletred": C = RGB(&HC7, &H15, &H85)
    Case "midnightblue": C = RGB(&H19, &H19, &H70)
    Case "mintcream": C = RGB(&HF5, &HFF, &HFA)
    Case "mistyrose": C = RGB(&HFF, &HE4, &HE1)
    Case "moccasin": C = RGB(&HFF, &HE4, &HB5)
    Case "navajowhite": C = RGB(&HFF, &HDE, &HAD)
    Case "navy": C = RGB(&H0, &H0, &H80)
    Case "oldlace": C = RGB(&HFD, &HF5, &HE6)
    Case "olive": C = RGB(&H80, &H80, &H0)
    Case "olivedrab": C = RGB(&H6B, &H8E, &H23)
    Case "orange": C = RGB(&HFF, &HA5, &H0)
    Case "orengered": C = RGB(&HFF, &H45, &H0)
    Case "orchid": C = RGB(&HDA, &H70, &HD6)
    Case "palegoldenrod": C = RGB(&HEE, &HE8, &HAA)
    Case "palegreen": C = RGB(&H98, &HFB, &H98)
    Case "paleturquose": C = RGB(&HAF, &HEE, &HEE)
    Case "palevioletred": C = RGB(&HDB, &H70, &H93)
    Case "papayawhop": C = RGB(&HFF, &HEF, &HD5)
    Case "peachpuff": C = RGB(&HFF, &HDA, &HB9)
    Case "peru": C = RGB(&HCD, &H85, &H3F)
    Case "pink": C = RGB(&HFF, &HC0, &HCB)
    Case "plum": C = RGB(&HDD, &HA0, &HDD)
    Case "powderblue": C = RGB(&HB0, &HE0, &HE6)
    Case "purple": C = RGB(&H80, &H0, &H80)
    Case "red": C = RGB(&HFF, &H0, &H0)
    Case "rosybrown": C = RGB(&HBC, &H8F, &H8F)
    Case "royalblue": C = RGB(&H41, &H69, &HE1)
    Case "saddlebrown": C = RGB(&H8B, &H45, &H13)
    Case "salmon": C = RGB(&HFA, &H80, &H72)
    Case "sandybrown": C = RGB(&HF4, &HA4, &H60)
    Case "seagreen": C = RGB(&H2E, &H8B, &H57)
    Case "seashell": C = RGB(&HFF, &HF5, &HEE)
    Case "sienna": C = RGB(&HA0, &H52, &H2D)
    Case "silver": C = RGB(&HC0, &HC0, &HC0)
    Case "skyblue": C = RGB(&H87, &HCE, &HEB)
    Case "slateblue": C = RGB(&H6A, &H5A, &HCD)
    Case "slategray": C = RGB(&H70, &H80, &H80)
    Case "snow": C = RGB(&HFF, &HFA, &HFA)
    Case "springgreen": C = RGB(&H0, &HFF, &H7F)
    Case "steelblue": C = RGB(&H46, &H82, &HB4)
    Case "tan": C = RGB(&HD2, &HB4, &H8C)
    Case "teal": C = RGB(&H0, &H80, &H80)
    Case "thistle": C = RGB(&HD8, &HBF, &HD8)
    Case "tomato": C = RGB(&HFF, &H63, &H47)
    Case "turquose": C = RGB(&H40, &HE0, &HD0)
    Case "violet": C = RGB(&HEE, &H82, &HEE)
    Case "wheat": C = RGB(&HF5, &HDE, &HB3)
    Case "white": C = RGB(&HFF, &HFF, &HFF)
    Case "whitesmoke": C = RGB(&HF5, &HF5, &HF5)
    Case "yellow": C = RGB(&HFF, &HFF, &H0)
    Case "yellowgreen": C = RGB(&H9A, &HCD, &H32)
  End Select
    ColorByID = C
  End Function


